# Sack
# by Eresse <eresse@eresse.net>

# Internal Includes
require 'sack/database/model/relationships/has_many'
require 'sack/database/model/relationships/belongs_to'

# Sack Module
module Sack

	# Database Class
	class Database

		# Model Module
		module Model

			# Relationships Module:
			# Provides Model Relationships.
			module Relationships

				# Included:
				# Inject Relationship Methods when included.
				# @param [Object] base Whatever we've been included into
				def self.included base
					base.extend ClassMethods
				end

				# Class Methods:
				# Collection of methods to be injected into anything that includes this module.
				module ClassMethods

					# Relationships:
					# Gets the relationships for the Model.
					def relationships
						@relationships ||= {}
					end
				end
			end
		end
	end
end
