# Sack
# by Eresse <eresse@eresse.net>

# Internal Includes
require 'sack/database/sanitizer'

# Sack Module
module Sack

	# Database Class
	class Database

		# Statement Module:
		# Provides statement manipulation methods.
		module Statement

			# Prepare Statement:
			# Binds _params_ to statement fields in _q_.
			# @param [String] q Statement
			# @param [Array] params Statement parameters
			# @return [String] Final statement with all parameters bound
			def self.prep q, params = []
				params.inject(q) { |a, p| a.sub!('?') { "'#{Sanitizer.value(p)}'" } }
			end
		end
	end
end
